added push all subtrees script w/ burnettk

This commit is contained in:
jasquat 2022-10-31 14:10:45 -04:00
parent 17eba4cfd5
commit b02caa3d50
1 changed files with 16 additions and 0 deletions

16
bin/push_all_subtrees Executable file
View File

@ -0,0 +1,16 @@
#!/usr/bin/env bash
function error_handler() {
>&2 echo "Exited with BAD EXIT CODE '${2}' in ${0} script at line: ${1}."
exit "$2"
}
trap 'error_handler ${LINENO} $?' ERR
set -o errtrace -o errexit -o nounset -o pipefail
script_dir="$( cd -- "$(dirname "$0")" >/dev/null 2>&1 ; pwd -P )"
subtrees=$("${script_dir}/get_subtree_prefixes")
for subtree in $subtrees ; do
echo -e "\n$subtree"
"${script_dir}/push_subtree" "$subtree"
done